## org.apache.taglibs.standard.tag.el.fmt
Class FormatDateTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.fmt.FormatDateSupport
              org.apache.taglibs.standard.tag.el.fmt.FormatDateTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class FormatDateTag

extends FormatDateSupport

A handler for <formatDate> that accepts attributes as Strings and evaluates them as expressions at runtime.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.FormatDateSupport
`dateStyle, pattern, timeStyle, timeZone, type, value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormatDateTag()` Constructs a new FormatDateTag.

Method Summary
`int` `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
`void` `release()` Release state.
`void` `setDateStyle(String dateStyle_)`
`void` `setPattern(String pattern_)`
`void` `setTimeStyle(String timeStyle_)`
`void` `setTimeZone(String timeZone_)`
`void` `setType(String type_)`
`void` `setValue(String value_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.FormatDateSupport
`doEndTag, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatDateTag

    public FormatDateTag()

  Constructs a new FormatDateTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TagSupport`
  Default processing of the start tag, returning SKIP_BODY.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `TagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `FormatDateSupport`
  See Also:
    `Tag.release()`

### setValue

    public void setValue(String value_)

### setType

    public void setType(String type_)

### setDateStyle

    public void setDateStyle(String dateStyle_)

### setTimeStyle

    public void setTimeStyle(String timeStyle_)

### setPattern

    public void setPattern(String pattern_)

### setTimeZone

    public void setTimeZone(String timeZone_)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.